Actions

Difference between revisions of "Joomla! CMS versions"

From Joomla! Documentation

m (clear template)
m (Joomla! CMS versions: updating chart)
(8 intermediate revisions by 4 users not shown)
Line 3: Line 3:
 
*Normally, you should use the latest version of Joomla! for a new site unless you have a specific reason not to.  
 
*Normally, you should use the latest version of Joomla! for a new site unless you have a specific reason not to.  
 
*The latest version can be downloaded from the [http://joomlacode.org/gf/project/joomla/frs/?action=index Joomla! download site].
 
*The latest version can be downloaded from the [http://joomlacode.org/gf/project/joomla/frs/?action=index Joomla! download site].
 +
* Make sure you '''subscribe to the [http://feeds.joomla.org/JoomlaSecurityNews Joomla! Security Announcements] feed'''. This RSS feed is used to make announcements, including the availability of new releases, that could affect the security of your site. You have the option to subscribe to this feed by RSS or email.
 +
* If you are running an earlier release of the current version (for example, you are running 2.5.1 and the current version is 2.5.6), you should upgrade to the current version. Each minor release fixes a number of bugs and/or security issues. It is always good practice to upgrade to the latest maintenance version as a first step in troubleshooting a problem and fixing any newly discovered security issues.
 
{{-}}
 
{{-}}
 
==Joomla! CMS versions==
 
==Joomla! CMS versions==
Line 40: Line 42:
 
|  style="background-color:#f4cccc;" | One-click to 2.5
 
|  style="background-color:#f4cccc;" | One-click to 2.5
 
|  style="background-color:#f4cccc;" | Upgrade to 2.5 now<br/>[[Joomla 1.6 version history]]
 
|  style="background-color:#f4cccc;" | Upgrade to 2.5 now<br/>[[Joomla 1.6 version history]]
|  style="background-color:#f4cccc;" | '''EOL''' at 1.6.6
+
|  style="background-color:#f4cccc;" | 1.6.6
 
|-
 
|-
 
|  style="background-color:#f4cccc; font-weight:bold;" | 1.7
 
|  style="background-color:#f4cccc; font-weight:bold;" | 1.7
Line 49: Line 51:
 
|  style="background-color:#f4cccc;" | One-click to 2.5
 
|  style="background-color:#f4cccc;" | One-click to 2.5
 
|  style="background-color:#f4cccc;" | Upgrade to 2.5 now<br/>[[Joomla 1.7 version history]]
 
|  style="background-color:#f4cccc;" | Upgrade to 2.5 now<br/>[[Joomla 1.7 version history]]
|  style="background-color:#f4cccc;" | '''EOL''' at 1.7.5
+
|  style="background-color:#f4cccc;" | 1.7.5
 
|-
 
|-
 
|  style="background-color:#d9ead3; font-weight:bold;" | 2.5
 
|  style="background-color:#d9ead3; font-weight:bold;" | 2.5
Line 55: Line 57:
 
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
 
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
 
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
 
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
|  style="background-color:#d9ead3;" | Mar 2014
+
|  style="background-color:#d9ead3;" | December 31st, 2014
 
|  style="background-color:#d9ead3;" | One-click to 3.x
 
|  style="background-color:#d9ead3;" | One-click to 3.x
 
|  style="background-color:#d9ead3;" | Recommended as-needed basis for new installs<br/>[[Joomla 2.5 version history]]
 
|  style="background-color:#d9ead3;" | Recommended as-needed basis for new installs<br/>[[Joomla 2.5 version history]]
Line 67: Line 69:
 
|  style="background-color:#f4cccc; width:100px;" | One-click to 3.1
 
|  style="background-color:#f4cccc; width:100px;" | One-click to 3.1
 
|  style="background-color:#f4cccc; width:306px;" | You should use the one click upgrade to Joomla 3.1<br/>[[Joomla 3.0 version history]]
 
|  style="background-color:#f4cccc; width:306px;" | You should use the one click upgrade to Joomla 3.1<br/>[[Joomla 3.0 version history]]
|  style="background-color:#f4cccc;" | '''EOL''' at 3.0.3
+
|  style="background-color:#f4cccc;" | 3.0.4
 
|-
 
|-
 
|  style="background-color:#d9ead3; font-weight:bold;" | 3.1
 
|  style="background-color:#d9ead3; font-weight:bold;" | 3.1
Line 73: Line 75:
 
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
 
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
 
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
 
|  style="background-color:#d9ead3;" | [[File:Checkmark.png|center]]
|  style="background-color:#d9ead3;" | Oct 2013
+
|  style="background-color:#d9ead3;" | Dec 2013
 
|  style="background-color:#d9ead3;" | One-click to 3.2
 
|  style="background-color:#d9ead3;" | One-click to 3.2
|  style="background-color:#d9ead3;" | Recommended for most new installs<br/>[[Joomla 3.1 version history]]
+
|  style="background-color:#d9ead3;" | You should use the one click upgrade to Joomla 3.2<br/>[[Joomla 3.1 version history]]
|  style="background-color:#d9ead3;" | '''{{CurrentSTSVer|maintanence}}'''
+
|  style="background-color:#d9ead3;" | 3.1.6
 
|-
 
|-
 
|  style="background-color:#fff; font-weight:bold;" | 3.2
 
|  style="background-color:#fff; font-weight:bold;" | 3.2
|  style="background-color:#fff;"  | Sept 2013
+
|  style="background-color:#fff;"  | [[File:Checkmark.png|Checkmark.png]]
|  style="background-color:#fff;"  | -
+
|  style="background-color:#fff;"  | [[File:Checkmark.png|center]]
|  style="background-color:#fff;"  | -
+
|  style="background-color:#fff;"  | [[File:Checkmark.png|center]]
|  style="background-color:#fff;"  | May 2014
+
|  style="background-color:#fff;"  | Apr 2014
 
|  style="background-color:#fff;"  | One-click to 3.5
 
|  style="background-color:#fff;"  | One-click to 3.5
|  style="background-color:#fff;"  |  
+
|  style="background-color:#fff;"  | Recommended for most new installs<br/>[[Joomla 3.2 version history]]
|  style="background-color:#fff;"  |  
+
|  style="background-color:#fff;"  | '''{{CurrentSTSVer|maintanence}}'''
 
|-
 
|-
 
|  style="background-color:#fff; font-weight:bold;" | 3.5
 
|  style="background-color:#fff; font-weight:bold;" | 3.5
Line 91: Line 93:
 
|  style="background-color:#fff;"  | -
 
|  style="background-color:#fff;"  | -
 
|  style="background-color:#fff;"  | -
 
|  style="background-color:#fff;"  | -
|  style="background-color:#fff;"  | Mar 2016
+
|  style="background-color:#fff;"  | December 31st, 2016
 
|  style="background-color:#fff;"  | One-click to 4.0
 
|  style="background-color:#fff;"  | One-click to 4.0
 
|  style="background-color:#fff;"  |  
 
|  style="background-color:#fff;"  |  
Line 106: Line 108:
 
|}
 
|}
  
 
+
<noinclude>
 
[[Category:Joomla! versions]]
 
[[Category:Joomla! versions]]
 +
</noinclude>

Revision as of 09:33, 18 November 2013

Check for the latest Joomla! CMS version. If you are not on the latest release, read the release notes to see if you need to upgrade. If a release is being made in order to address security issues then it is strongly advised that you upgrade as soon as possible. You can see the release history of each series in the table below. Click the version history link in the notes column to find details on exact release date, release notes and package and MD5s.

  • Normally, you should use the latest version of Joomla! for a new site unless you have a specific reason not to.
  • The latest version can be downloaded from the Joomla! download site.
  • Make sure you subscribe to the Joomla! Security Announcements feed. This RSS feed is used to make announcements, including the availability of new releases, that could affect the security of your site. You have the option to subscribe to this feed by RSS or email.
  • If you are running an earlier release of the current version (for example, you are running 2.5.1 and the current version is 2.5.6), you should upgrade to the current version. Each minor release fixes a number of bugs and/or security issues. It is always good practice to upgrade to the latest maintenance version as a first step in troubleshooting a problem and fixing any newly discovered security issues.

Joomla! CMS versions

CMS Version Available Support End of Life Upgrade Type Notes Latest Release
Bugs Security
1.5
X-mark.png
X-mark.png
X-mark.png
Sept 2012 Migration to 2.5 Plan to migrate to 2.5 now
Joomla 1.5 version history
EOL at 1.5.26
1.6
X-mark.png
X-mark.png
X-mark.png
Aug 2011 One-click to 2.5 Upgrade to 2.5 now
Joomla 1.6 version history
1.6.6
1.7
X-mark.png
X-mark.png
X-mark.png
Feb 2012 One-click to 2.5 Upgrade to 2.5 now
Joomla 1.7 version history
1.7.5
2.5
Checkmark.png
Checkmark.png
Checkmark.png
December 31st, 2014 One-click to 3.x Recommended as-needed basis for new installs
Joomla 2.5 version history
2.5.27
3.0
X-mark.png
X-mark.png
X-mark.png
May 2013 One-click to 3.1 You should use the one click upgrade to Joomla 3.1
Joomla 3.0 version history
3.0.4
3.1 Checkmark.png
Checkmark.png
Checkmark.png
Dec 2013 One-click to 3.2 You should use the one click upgrade to Joomla 3.2
Joomla 3.1 version history
3.1.6
3.2 Checkmark.png
Checkmark.png
Checkmark.png
Apr 2014 One-click to 3.5 Recommended for most new installs
Joomla 3.2 version history
3.3.6
3.5 Mar 2014 - - December 31st, 2016 One-click to 4.0
4.0 Sept 2014 - -